net.sourceforge.pmd.lang.jsp.ast

## Class JspParserVisitorAdapter

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.JspParserVisitorAdapter

All Implemented Interfaces:
  JspParserVisitor

Direct Known Subclasses:
  DumpFacade

    public class JspParserVisitorAdapter
    extends Object
    implements JspParserVisitor

### Constructor Summary

Constructors
Constructor and Description
`JspParserVisitorAdapter()`

### Method Summary

Methods
`Object` `visit(ASTAttribute node, Object data)`
`Object` `visit(ASTAttributeValue node, Object data)`
`Object` `visit(ASTCData node, Object data)`
`Object` `visit(ASTCommentTag node, Object data)`
`Object` `visit(ASTCompilationUnit node, Object data)`
`Object` `visit(ASTContent node, Object data)`
`Object` `visit(ASTDeclaration node, Object data)`
`Object` `visit(ASTDoctypeDeclaration node, Object data)`
`Object` `visit(ASTDoctypeExternalId node, Object data)`
`Object` `visit(ASTElement node, Object data)`
`Object` `visit(ASTElExpression node, Object data)`
`Object` `visit(ASTHtmlScript node, Object data)`
`Object` `visit(ASTJspComment node, Object data)`
`Object` `visit(ASTJspDeclaration node, Object data)`
`Object` `visit(ASTJspDirectiveAttribute node, Object data)`
`Object` `visit(ASTJspDirective node, Object data)`
`Object` `visit(ASTJspExpressionInAttribute node, Object data)`
`Object` `visit(ASTJspExpression node, Object data)`
`Object` `visit(ASTJspScriptlet node, Object data)`
`Object` `visit(ASTText node, Object data)`
`Object` `visit(ASTUnparsedText node, Object data)`
`Object` `visit(ASTValueBinding node, Object data)`
`Object` `visit(JspNode node, Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspParserVisitorAdapter

    public JspParserVisitorAdapter()

### Method Detail

#### visit

    public Object visit(JspNode node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTCompilationUnit node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTContent node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspDirective node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspDirectiveAttribute node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspScriptlet node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspExpression node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspDeclaration node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspComment node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTText node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTUnparsedText node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTElExpression node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTValueBinding node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTCData node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTElement node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTAttribute node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTAttributeValue node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTJspExpressionInAttribute node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTCommentTag node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTDeclaration node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTDoctypeDeclaration node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTDoctypeExternalId node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`

#### visit

    public Object visit(ASTHtmlScript node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`